org.apache.xmlbeans.impl.util

## Class Diff

- java.lang.Object
- - org.apache.xmlbeans.impl.util.Diff

    public class Diff
    extends Object

This needs to be here so that it can be accessed by FilerImpl

### Constructor Summary

Constructors
Constructor and Description
`Diff()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `readersAsText(Reader r1, String name1, Reader r2, String name2, List diffs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Diff

    public Diff()

### Method Detail

#### readersAsText

    public static void readersAsText(Reader r1,
                                     String name1,
                                     Reader r2,
                                     String name2,
                                     List diffs)
                              throws IOException

Throws:
  `IOException`